[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [E-devel] converting modules to 'new' API



Mike Russo wrote:
Hannes- thanks but I am using an alternate solution -- an Amarok script called "Simple_XOSD" that interfaces with the xosd library for on-screen display. thanks for the offering though!:)

Hannes Janetzek wrote:
Am Tue, 27 Jun 2006 12:23:47 -0400
schrieb Mike Russo <miker@readq.com>:

    Are there any tips on how to convert 3rd party modules to the
'new' API which eliminates config_menu and icon_file?  I understand
I'm supposed to create a module.eap, but what about the config_menu?
I'd really like to get eloquence working again, although I know a gadman->gadcon conversion is still looming anyway, and I can't seem
to contact the author. :(

Hi,
I hacked eloquence up a bit. I got it working for my needs, just tested
with xmms2. The theme selection and some other thins don´t work.
If this helps further, I could send it to you

--
jeff

Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642
_______________________________________________
enlightenment-devel mailing list
enlightenment-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/enlightenment-devel



To my knowledge, there are no scripts to "convert" from gadman to gadcon. IIRC, the eloquence module does not need to be gadcon as it does not reside in a shelf, but rather draws directly on the desktop. Therefore, it should not need the gadcon code.

devilhorns